### Method

# WebKit NavigationAction get_request

#### Declaration [src]

    WebKitURIRequest*
    webkit_navigation_action_get_request (
      WebKitNavigationAction* navigation
    )

#### Description [src]

Return the `WebKitURIRequest` associated with the navigation action.

Modifications to the returned object are <emphasis>not</emphasis> taken into account when the request is sent over the network, and is intended only to aid in evaluating whether a navigation action should be taken or not. To modify requests before they are sent over the network the `WebKitPage::send-request` signal can be used instead.

Available since: | 2.6

#### Return value

Returns: | `WebKitURIRequest`
| A `WebKitURIRequest`.
| The data is owned by the instance.